<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CodigosPostales
 *
 * @ORM\Table(name="codigos_postales")
 * @ORM\Entity
 */
class CodigosPostales
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cop", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCop;

    /**
     * @var string
     *
     * @ORM\Column(name="cp", type="string", length=20, nullable=false)
     */
    private $cp;

    /**
     * @var string
     *
     * @ORM\Column(name="lugar", type="string", length=300, nullable=false)
     */
    private $lugar;

    /**
     * @var string
     *
     * @ORM\Column(name="municipio", type="string", length=100, nullable=false)
     */
    private $municipio;

    /**
     * @var string
     *
     * @ORM\Column(name="estado", type="string", length=100, nullable=false)
     */
    private $estado;



    /**
     * Get ideCop
     *
     * @return integer
     */
    public function getIdeCop()
    {
        return $this->ideCop;
    }

    /**
     * Set cp
     *
     * @param string $cp
     *
     * @return CodigosPostales
     */
    public function setCp($cp)
    {
        $this->cp = $cp;

        return $this;
    }

    /**
     * Get cp
     *
     * @return string
     */
    public function getCp()
    {
        return $this->cp;
    }

    /**
     * Set lugar
     *
     * @param string $lugar
     *
     * @return CodigosPostales
     */
    public function setLugar($lugar)
    {
        $this->lugar = $lugar;

        return $this;
    }

    /**
     * Get lugar
     *
     * @return string
     */
    public function getLugar()
    {
        return $this->lugar;
    }

    /**
     * Set municipio
     *
     * @param string $municipio
     *
     * @return CodigosPostales
     */
    public function setMunicipio($municipio)
    {
        $this->municipio = $municipio;

        return $this;
    }

    /**
     * Get municipio
     *
     * @return string
     */
    public function getMunicipio()
    {
        return $this->municipio;
    }

    /**
     * Set estado
     *
     * @param string $estado
     *
     * @return CodigosPostales
     */
    public function setEstado($estado)
    {
        $this->estado = $estado;

        return $this;
    }

    /**
     * Get estado
     *
     * @return string
     */
    public function getEstado()
    {
        return $this->estado;
    }
}
